Skip to main content

createOrUpdateBackstageIntegration

Create or update Backstage integration

createOrUpdateBackstageIntegration(
input: CreateOrUpdateBackstageIntegrationInput!
): CreateOrUpdateBackstageIntegrationPayload

Arguments​

createOrUpdateBackstageIntegration.input ● CreateOrUpdateBackstageIntegrationInput! non-null input​

Parameters for CreateOrUpdateBackstageIntegration

Type​

CreateOrUpdateBackstageIntegrationPayload object​

Autogenerated return type of CreateOrUpdateBackstageIntegration.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateOrUpdateBackstageIntegration($input: CreateOrUpdateBackstageIntegrationInput!) {\n createOrUpdateBackstageIntegration(input: $input) { backstageIntegration { id autoImportEnabled backstageUrl } clientMutationId }\n}","variables":{"input":{"companyId":"<company_id>","backstageUrl":"example","instanceId":"example"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute